Runtime

## org.eclipse.gmf.runtime.notation.stylepooling
Class ShapeProfiler

    java.lang.Object
      org.eclipse.gmf.runtime.notation.stylepooling.ShapeProfiler

    public class ShapeProfiler

extends java.lang.Object

Constructor Summary
`ShapeProfiler()`

Method Summary
`void` `printStats()`
`void` `profileEnd()`
`void` `profileStart()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeProfiler

    public ShapeProfiler()

Method Detail

### profileStart

    public void profileStart()

### profileEnd

    public void profileEnd()

### printStats

    public void printStats()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.